The Dutch HackInfo

Information about Hacking, Security & Tweaking

1 1 1 1 1 1 1 1 1 1 Rating 0.00 (0 Votes)

fuzzing
Er is een nieuw probleem met de Apache HTTP webserver ontdekt, waardoor aanvallers toegang tot interne systemen kunnen krijgen. Het probleem ontstaat als er bepaalde instellingen niet goed zijn ingesteld. Het gaat om een variant van een probleem (CVE-2011-3368) dat eerder bij bepaalde mod_proxy/mod_rewrite configuraties werd ontdekt, en waarvoor Apache uiteindelijk een update uitbracht. Ook nu wordt er aan een patch gewerkt, zo laten de ontwikkelaars weten. 

De variant werd ontdekt door Prutha Parikh van beveiligingsbedrijf Qualys. Tijdens een controle van de patch voor CVE-2011-3368, ontdekte ze dat het nog steeds mogelijk is om een exploit naar een volledig gepatchte Apache webserver te sturen. Parikh maakte een blogposting waarin ze twee voorbeelden geeft hoe een aanvaller via verkeerd ingestelde RewriteRule/ProxyPassMatch regels de beveiliging kan omzeilen. 

Apache heeft nog geen patch uitgebracht, tot die tijd adviseert Parikh dan ook om de reverse proxy via deze manier in te stellen.

bron: security.nl

Comments are now closed for this entry


Copyright © 2019. All Rights Reserved.